Skip to main content
PATCH
/
v3
/
sites
/
{site}
/
chargers
/
{charger}
/
move
Move Charger
curl --request PATCH \
  --url https://app.plugchoice.com/api/v3/sites/{site}/chargers/{charger}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_site_uuid": "<string>"
}
'
{
  "uuid": "<string>",
  "id": 123,
  "identity": "<string>",
  "connection_status": "<string>",
  "status": "<string>",
  "connectors": [
    {}
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}
Moves a charger to a different location and resets its configuration. You must have sensitive access to both the source and target locations.
site
string
required
The UUID of the current location.
charger
string
required
The UUID of the charger to move.
target_site_uuid
string
required
The UUID of the target location to move the charger to. Cannot be the same as the current location.

Response

uuid
string
The unique UUID of the charger.
id
integer
The numeric ID of the charger.
identity
string
The charger’s OCPP identity string.
connection_status
string
The current connection status of the charger.
status
string
The current OCPP status of the charger.
connectors
array
An array of connector objects for this charger.
created_at
string
ISO 8601 timestamp of when the charger was created.
updated_at
string
ISO 8601 timestamp of when the charger was last updated.